update please Rated 5 out of 5 stars

Please hurry and make a new version compatible with FF 3.0.2!!